{
  "name": "@hereconnect/service-message-delivery-method-web-push",
  "version": "1.0.0",
  "description": "",
  "main": "dist/service.ts",
  "type": "module",
  "license": "@hereconnect/license",
  "private": true,
  "engines": {
    "node": ">=v20.10.0",
    "pnpm": ">=8.15.0"
  },
  "files": [
    "dist/**/*"
  ],
  "bugs": "",
  "keywords": [],
  "author": {
    "name": "",
    "email": "",
    "url": ""
  },
  "contributors": [],
  "scripts": {
    "dev": "tsx src/service.ts",
    "dev:watch": "tsx --watch src/service.ts",
    "start": "node dist/service.js",
    "build": "tsc",
    "lint": "tsc --noEmit",
    "generate-keys": "node src/generate-keys.ts",
    "test-send-notification": "node ./src/test-send-notification.js",
    "test-send-notification-cancel": "node ./src/test-send-notification-cancel.js"
  },
  "dependencies": {
    "@hereconnect/couchdb-changes-stream": "workspace:^",
    "@hereconnect/lib-service-health-checkserver": "workspace:^",
    "@hereconnect/lib-service-seq-tracker": "workspace:^",
    "pouchdb-adapter-http": "^9.0.0",
    "pouchdb-core": "^9.0.0",
    "pouchdb-find": "^9.0.0",
    "web-push": "^3.6.7"
  },
  "devDependencies": {
    "@hereconnect/types": "workspace:^",
    "@types/node": "^20.17.6",
    "@types/pouchdb-adapter-http": "^6.1.6",
    "@types/pouchdb-core": "^7.0.15",
    "@types/pouchdb-find": "^7.3.3",
    "@types/web-push": "^3.6.4",
    "tsx": "^4.19.2",
    "typescript": "~5.7.2"
  }
}
